Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

Public Enum eExportMode
    eInternalwithVAT = 0 'Belföldi ÁFÁ-s
    eExternalEUwithVAT = 1 'EU-ból ÁFÁ-s
    eExternalEUNoVAT = 2 'EU-ból nem ÁFÁs
    eExternalOther = 3 ' EU-n kívüli nem ÁFÁS
    eInversVAT = 4 'Fordított adózás
End Enum
<DefaultClassOptions()> _
<NavigationItem("BusinessStocks")> _
Public Class DeliveryNoteOutType 'Kimenő szállítólevél  tipusok
    Inherits BaseObject
    Private _ExportMode As eExportMode '
    Private _IsPrice As Boolean = True 'Van-e ár
    Private _ShortName As String 'Megnevezés
    Private _Description As String 'Leírás
    Private _NumberGenerator As NumberGenerator 'Sorszám generátor

    Private _ReportDataV2 As ReportDataV2 'Nyomtatvány V2
    Private _CurrencyName As CurrencyName
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property ExportMode As eExportMode
        Get
            Return _ExportMode
        End Get
        Set(value As eExportMode)
            SetPropertyValue("ExportMode", _ExportMode, value)
        End Set
    End Property
    <RuleRequiredField("DeliveryNoteOutType.IsPrice", DefaultContexts.Save)> _
    Property IsPrice As Boolean
        Get
            Return _IsPrice
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsPrice", _IsPrice, value)
        End Set
    End Property
    <RuleRequiredField("DeliveryNoteOutType.ShortName", DefaultContexts.Save)> _
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    <RuleRequiredField("DeliveryNoteOutType.NumberGenerator", DefaultContexts.Save)> _
    Property NumberGenerator As NumberGenerator
        Get
            Return _NumberGenerator
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator", _NumberGenerator, value)
        End Set
    End Property
    <RuleRequiredField("DeliveryNoteOutType.ReportDataV2", DefaultContexts.Save)>
    Property ReportDataV2 As ReportDataV2
        Get
            Return _ReportDataV2
        End Get
        Set(value As ReportDataV2)
            SetPropertyValue("ReportDataV2", _ReportDataV2, value)
        End Set
    End Property
    <RuleRequiredField("DeliveryNoteOutType.CurrencyName", DefaultContexts.Save)> _
    Property CurrencyName As CurrencyName
        Get
            Return _CurrencyName
        End Get
        Set(value As CurrencyName)
            SetPropertyValue("CurrencyName", _CurrencyName, value)
        End Set
    End Property
End Class


